Page MenuHomePhabricator

Use “quiet” alongside “frameless”
Open, MediumPublic

Description

Replace “frameless” term by “quiet” for quiet buttons. Frameless came out of a visual description, while quiet is wider used term in design systems and more appropriate for the context.

  • Use in WikimediaUI Components overview
  • Replace in OOUI docs
  • Amend and clarify in OOUI demos

Event Timeline

Change 526753 had a related patch set uploaded (by VolkerE; owner: VolkerE):
[oojs/ui@master] demos: Replace “frameless” by “quiet” and code examples

https://gerrit.wikimedia.org/r/526753

I'm not sure this makes sense when the property in the code is still called framed?

That is on the implementation side, frameless has never been a technical term. If you look into the patch, the framed: false continues to be the code hint besides the quiet description.

Also frameless is only true in normal state as they feature a “frame” in focus state. It's worrisome naming in my and designers opinion and it's not such widely-known term (the option being false-framed) to stick to it in comparison to a more sufficient description.

I think the general problem is this only "fixes" the documentation, and leaves it inconsistent with the code, which will lead to even more confusion. If changing frameless to quiet is correct we should change all the variables too, but that will be much harder.

Another result would be to separate this use case from thumbnails description, which seems like an advantage to me.

Volker_E triaged this task as Medium priority.Aug 9 2019, 11:14 AM
Volker_E renamed this task from Replace “frameless” by “quiet” to Use “quiet” alongside “frameless”.Jan 12 2020, 1:31 AM
Volker_E updated the task description. (Show Details)

Change 526753 merged by jenkins-bot:
[oojs/ui@master] demos: Replace “frameless” by “quiet” and code examples

https://gerrit.wikimedia.org/r/526753

Volker_E updated the task description. (Show Details)
Volker_E moved this task from Backlog to OOUI-0.36.4 on the OOUI board.
Volker_E edited projects, added OOUI (OOUI-0.36.4); removed OOUI.

Change 570418 had a related patch set uploaded (by Jforrester; owner: Jforrester):
[mediawiki/core@master] Update OOUI to v0.36.4

https://gerrit.wikimedia.org/r/570418

Change 570418 merged by jenkins-bot:
[mediawiki/core@master] Update OOUI to v0.36.4

https://gerrit.wikimedia.org/r/570418

Esanders reopened this task as Open.EditedApr 8 2020, 10:45 AM

We should amend the demo to show framed:false everywhere it is used, I've had some people ask me what "quiet" means so I don't think it is clear enough.

Even where we do use it it isn't clear that they are referring to the same property:

"ButtonWidget (quiet, framed: false, icon only)"

This looks like three separate settings.

Removing task assignee due to inactivity, as this open task has been assigned for more than two years. See the email sent to the task assignee on February 06th 2022 (and T295729).

Please assign this task to yourself again if you still realistically [plan to] work on this task - it would be welcome.

If this task has been resolved in the meantime, or should not be worked on ("declined"), please update its task status via "Add Action… 🡒 Change Status".

Also see https://www.mediawiki.org/wiki/Bug_management/Assignee_cleanup for tips how to best manage your individual work in Phabricator.